> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecomail.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# List all domains

> Retrieve all domains in your account.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api2.ecomailapp.cz/domains \
    -H "key: YOUR_API_KEY" \
    -H "Content-Type: application/json"
  ```

  ```php PHP theme={null}
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/domains');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'key: YOUR_API_KEY',
      'Content-Type: application/json',
  ]);
  $response = curl_exec($ch);
  curl_close($ch);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "name": "foo.cz",
      "valid": true,
      "blocked": false
    },
    {
      "name": "bar.cz",
      "valid": false,
      "blocked": false
    }
  ]
  ```
</ResponseExample>
